# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
rust-version = "1.83"
name = "klieo-spec"
version = "0.3.0"
build = false
publish = true
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Generic decompose / critique / refine traits and a quality loop runner."
homepage = "https://github.com/mohrimic/klieo"
documentation = "https://docs.rs/klieo"
readme = "README.md"
license = "MIT"
repository = "https://github.com/mohrimic/klieo"

[lib]
name = "klieo_spec"
path = "src/lib.rs"

[[test]]
name = "toy_loop"
path = "tests/toy_loop.rs"

[dependencies.async-trait]
version = "0.1"

[dependencies.serde]
version = "1"
features = ["derive"]

[dependencies.serde_json]
version = "1"

[dependencies.thiserror]
version = "1"

[dependencies.tracing]
version = "0.1"

[dev-dependencies.tokio]
version = "1"
features = [
    "full",
    "macros",
    "rt-multi-thread",
]

[dev-dependencies.tokio-test]
version = "0.4"
